#include<bits/stdc++.h>
using namespace std;
string s;
int a,b;
int main()
{
    cin >> s;
    cin >> a >> b;
    string s2="";
    if(abs(a-b)>1)
    {
        cout << "nemoguce";
    }
    else
    {
        if(a>b)
        for(int i=0;i<a+b;i++)
        {
            if(i%2==0)
            s2+=s[0];
            else
            {
                s2+=s[1];
            }
        }
        else
            for(int i=0;i<a+b;i++)
            {
                if(i%2==0)
                    s2+=s[1];
                else
                    s2+=s[0];
            }
        cout << s2;
    }
}